Skip to main content

Get Initial Pack Events

Method: GET
/data-provider/events/initial-pack

As a Data Provider of iFoodDS, you can use the Get Initial Pack Event API to retrieve initial pack event data from the iFoodDS Trace Exchange platform.

info

This endpoint is being refined and thus subject to change. The query parameters below describe the filters currently applied by initial pack search. These docs will update when changes are made.

Request​

Type: application/json

Retrieving initial pack events via the API is done through paging. Supply optional query parameters in the request URL to select a page and filter the events returned.

Query Parameters​

All query parameters are optional. The event type is implied as initial pack; no type parameter is needed.

Pagination​

  • page (number): The page index of the events to return. The first page is index 0.
  • size (number): The number of results to return per page. Default value is 20.

Filters​

  • submitStartDateTime (datetime): Sets the start of the KDE creation/submission window as a local date and time.
  • submitEndDateTime (datetime): Sets the end of the KDE creation/submission window.
  • eventStartDateTime (datetime): Includes events whose event date and time is on or after the specified date and time (inclusive).
  • eventEndDateTime (datetime): Includes events whose event date and time is on or before the specified date and time (inclusive).
  • gtin (string): Filters by GTIN. Accepts a set of values. Repeat the parameter (gtin=A&gtin=B) or comma-separate values (gtin=A,B).
  • workOrderNumber (string): Filters by work order number.
  • foodProducedLotCode (string): Filters by the food produced lot code.

Matching Behavior​

  • gtin accepts repeated query parameters or comma-separated values.
  • submitStartDateTime and submitEndDateTime bound the KDE creation/submission window.
  • eventStartDateTime and eventEndDateTime are inclusive.

Data Constraints​

  • strings allow a maximum of 100 characters.
  • datetimes use the format yyyy-MM-ddTHH:mm:ss.

Request Examples​

Find events during a specified period​

Both event date-time boundaries are inclusive.

Events during a specified period
/data-provider/events/initial-pack?eventStartDateTime=2026-09-14T00:00:00&eventEndDateTime=2026-09-20T23:59:59

Find events by submission date range​

Submission date range
/data-provider/events/initial-pack?submitStartDateTime=2026-09-14T00:00:00&submitEndDateTime=2026-09-20T23:59:59

Find events by work order number​

Match a work order number
/data-provider/events/initial-pack?workOrderNumber=w012345

Find events by GTIN​

Match a GTIN
/data-provider/events/initial-pack?gtin=00012345678905

Find events by food produced lot code​

Match a food produced lot code
/data-provider/events/initial-pack?foodProducedLotCode=145154-1

Response​

Return result for the initial pack event data queried.

{
"content": [
{
"id": "<event id>",
"dataProviderVendorId": "<data provider vendor ID>",
"dataProviderVendorName": "<data provider vendor name>",
"location": {
"id": "<location id>",
"gln": "<gln>",
"city": "<city>",
"duns": "<duns>",
"state": "<state>",
"market": "<market>",
"region": "<region>",
"country": "<country>",
"geoFence": "<geo fence>",
"postalCode": "<postal code>",
"phoneNumber": "<phone number>",
"businessUnit": "<business unit>",
"locationName": "<location name>",
"locationType": "<location type>",
"glnAssignedBy": "<gln assigned by>",
"gpsCoordinates": "<gps coordinates>",
"streetAddress1": "<street address 1>",
"streetAddress2": "<street address 2>",
"isCoveredByGdst": <is covered by gdst>,
"parentLocationId": "<parent location id>",
"isPrimaryLocation": <is primary location>,
"alternateLocationId": "<alternate location id>"
},
"racsUsed": [
{
"gtin": "<gtin>",
"isFtlItem": <is ftl item>,
"packSize": "<pack size>",
"packStyle": "<pack style>",
"brandName": "<brand name>",
"businessUnit": "<business unit>",
"ftlCategory": "<ftl category>",
"harvestDate": "<harvest date>",
"innerPackUpc": "<inner pack upc>",
"racItemCode": "<rac product code>",
"woLineNumber": "<work order line number>",
"harvestCompany": "<harvest company>",
"productVariety": "<product variety>",
"scientificName": "<scientific name>",
"itemDescription": "<item description>",
"productCommodity": "<product commodity>",
"racUsedQuantity": <rac used quantity>,
"alternateItemCode": "<alternate item code>",
"harvestCompanyPhone": "<harvest company phone>",
"racUsedQuantityUom": "<rac used quantity uom>",
"acceptableSpeciesName": "<acceptable species name>",
"farm": {
"id": "<farm id>",
"gln": "<farm gln>",
"city": "<farm city>",
"duns": "<farm duns>",
"state": "<farm state>",
"market": "<farm market>",
"region": "<farm region>",
"country": "<farm country>",
"geoFence": "<farm geo fence>",
"postalCode": "<farm postal code>",
"phoneNumber": "<farm phone number>",
"businessUnit": "<farm business unit>",
"locationName": "<farm location name>",
"locationType": "<farm location type>",
"glnAssignedBy": "<farm gln assigned by>",
"gpsCoordinates": "<farm gps coordinates>",
"streetAddress1": "<farm street address 1>",
"streetAddress2": "<farm street address 2>",
"isCoveredByGdst": <farm is covered by gdst>,
"parentLocationId": "<farm parent location id>",
"isPrimaryLocation": <farm is primary location>,
"alternateLocationId": "<farm alternate location id>"
},
"container": {
"id": "<container id>",
"gln": "<container gln>",
"city": "<container city>",
"duns": "<container duns>",
"state": "<container state>",
"market": "<container market>",
"region": "<container region>",
"country": "<container country>",
"geoFence": "<container geo fence>",
"postalCode": "<container postal code>",
"phoneNumber": "<container phone number>",
"businessUnit": "<container business unit>",
"locationName": "<container location name>",
"locationType": "<container location type>",
"glnAssignedBy": "<container gln assigned by>",
"gpsCoordinates": "<container gps coordinates>",
"streetAddress1": "<container street address 1>",
"streetAddress2": "<container street address 2>",
"isCoveredByGdst": <container is covered by gdst>,
"parentLocationId": "<container parent location id>",
"isPrimaryLocation": <container is primary location>,
"alternateLocationId": "<container alternate location id>"
},
"field": {
"id": "<field id>",
"gln": "<field gln>",
"city": "<field city>",
"duns": "<field duns>",
"state": "<field state>",
"market": "<field market>",
"region": "<field region>",
"country": "<field country>",
"geoFence": "<field geo fence>",
"postalCode": "<field postal code>",
"phoneNumber": "<field phone number>",
"businessUnit": "<field business unit>",
"locationName": "<field location name>",
"locationType": "<field location type>",
"glnAssignedBy": "<field gln assigned by>",
"gpsCoordinates": "<field gps coordinates>",
"streetAddress1": "<field street address 1>",
"streetAddress2": "<field street address 2>",
"isCoveredByGdst": <field is covered by gdst>,
"parentLocationId": "<field parent location id>",
"isPrimaryLocation": <field is primary location>,
"alternateLocationId": "<field alternate location id>"
},
"cooling": {
"id": "<cooling id>",
"gln": "<cooling gln>",
"city": "<cooling city>",
"duns": "<cooling duns>",
"state": "<cooling state>",
"market": "<cooling market>",
"region": "<cooling region>",
"country": "<cooling country>",
"geoFence": "<cooling geo fence>",
"postalCode": "<cooling postal code>",
"phoneNumber": "<cooling phone number>",
"businessUnit": "<cooling business unit>",
"locationName": "<cooling location name>",
"locationType": "<cooling location type>",
"glnAssignedBy": "<cooling gln assigned by>",
"gpsCoordinates": "<cooling gps coordinates>",
"streetAddress1": "<cooling street address 1>",
"streetAddress2": "<cooling street address 2>",
"isCoveredByGdst": <cooling is covered by gdst>,
"parentLocationId": "<cooling parent location id>",
"isPrimaryLocation": <cooling is primary location>,
"alternateLocationId": "<cooling alternate location id>"
},
"coolingDate": "<cooling date>",
"receivedDate": "<rac received date>"
}
],
"foodProduced": [
{
"gtin": "<gtin>",
"isFtlItem": <is ftl item>,
"packSize": "<pack size>",
"brandName": "<brand name>",
"packStyle": "<pack style>",
"ftlCategory": "<ftl category>",
"businessUnit": "<business unit>",
"innerPackUpc": "<inner pack upc>",
"woLineNumber": "<work order line number>",
"productVariety": "<product variety>",
"scientificName": "<scientific name>",
"itemDescription": "<item description>",
"productCommodity": "<product commodity>",
"alternateItemCode": "<alternate item code>",
"lotCode": "<lot code>",
"quantity": <quantity>,
"acceptableSpeciesName": "<acceptable species name>",
"caseGtin": "<case gtin>",
"itemCode": "<product code>",
"harvestDate": "<harvest date>",
"quantityUom": "<quantity uom>",
"packagingDate": "<packaging date>",
"expirationDate": "<expiration date>",
"productionDate": "<production date>",
"bestBeforeDate": "<best before date>"
}
],
"workOrderNumber": "<work order number>",
"eventDateTime": "<event date time>",
"eventTransactionTime": "<event transaction time>",
"businessUnit": "<business unit>"
}
],
"pageable": {
"pageNumber": <page number>,
"pageSize": <page size>,
"sort": {
"unsorted": <is unsorted>,
"sorted": <is sorted>,
"empty": <is page empty>
},
"offset": <offset size>,
"unpaged": <is unpaged>,
"paged": <is paged>
},
"totalPages": <total pages>,
"totalElements": <total elements>,
"last": <is last page>,
"numberOfElements": <number of elements>,
"size": <page size>,
"number": <page number>,
"sort": {
"unsorted": <is unsorted>,
"sorted": <is sorted>,
"empty": <is empty>
},
"first": <is first page>,
"empty": <is page empty>
}

Content​

  • id (uuid): The id of the initial pack event
  • dataProviderVendorId (string): The ID you, the data provider, have for the vendor.
  • dataProviderVendorName (string): The name you, the data provider, have for the vendor.
  • location (object): The location of the initial pack event (see Location object structure)
  • racsUsed (array): Array of Raw Agricultural Commodities used
    • gtin (string): Case-level Global Trade Identification Number (GTIN-14). GS1 GTIN Executive Summary
    • isFtlItem (boolean): Indicates if the item is on the Food Traceability List
    • packSize (string): Size of the pack
    • packStyle (string): Style of the pack
    • brandName (string): Brand name
    • businessUnit (string): Business unit identifier
    • ftlCategory (string)*: Indicates the product's FTL category, i.e. “soft cheese”, “shell eggs”, “nut butter”, “cucumbers”, “herbs”, “leafy greens”, “melons”, “peppers”, “sprouts”, “tomatoes”, “tropical tree fruits”, “fresh-cut fruits”, “fresh-cut vegetables”, “finfish”, “smoked finfish”, “crustaceans”, “molluscan shellfish”, “ready-to-eat deli salads”, or “multiple-ftl-ingredients” *Required if on the FTL 
    • harvestDate (date): Date of harvest
    • innerPackUpc (string): Point of sale barcode, may be GTIN-8, GTIN-12, GTIN-13, or GTIN-14. GS1 GTIN Executive Summary
    • racItemCode (string): Product Code of the RAC
    • woLineNumber (string): Work order line number
    • harvestCompany (string): Company that performed the harvest
    • productVariety (string): Variety of the product
    • scientificName (string): Scientific name
    • itemDescription (string): Description of the item
    • productCommodity (string): Commodity of the product
    • racUsedQuantity (number): Quantity of RAC used
    • alternateItemCode (string): Alternate item code
    • harvestCompanyPhone (string): Phone number of the harvest company
    • racUsedQuantityUom (string): Unit of measure for the RAC quantity
    • acceptableSpeciesName (string): Acceptable species name
    • farm (object): Farm location information (see Location object structure)
    • container (object): Container location information (see Location object structure)
    • field (object): Field location information (see Location object structure)
    • cooling (object): Cooling location information (see Location object structure)
    • coolingDate (datetime): Date of cooling
    • receivedDate (date): Date the raw agricultural commodity was received
  • foodProduced (array): Array of food products produced
    • gtin (string): Case-level Global Trade Identification Number (GTIN-14). GS1 GTIN Executive Summary
    • isFtlItem (boolean): Indicates if the item is on the Food Traceability List
    • packSize (string): Size of the pack
    • brandName (string): Brand name
    • packStyle (string): Style of the pack
    • ftlCategory (string)*: Indicates the product's FTL category, i.e. “soft cheese”, “shell eggs”, “nut butter”, “cucumbers”, “herbs”, “leafy greens”, “melons”, “peppers”, “sprouts”, “tomatoes”, “tropical tree fruits”, “fresh-cut fruits”, “fresh-cut vegetables”, “finfish”, “smoked finfish”, “crustaceans”, “molluscan shellfish”, “ready-to-eat deli salads”, or “multiple-ftl-ingredients” *Required if on the FTL 
    • businessUnit (string): Business unit identifier
    • innerPackUpc (string): Point of sale barcode, may be GTIN-8, GTIN-12, GTIN-13, or GTIN-14. GS1 GTIN Executive Summary
    • woLineNumber (string): Work order line number
    • productVariety (string): Variety of the product
    • scientificName (string): Scientific name
    • itemDescription (string): Description of the item
    • productCommodity (string): Commodity of the product
    • alternateItemCode (string): Alternate item code
    • lotCode (string): Lot code
    • quantity (number): Quantity produced
    • acceptableSpeciesName (string): Acceptable species name
    • caseGtin (string): GTIN of the case
    • itemCode (string): Product Code
    • harvestDate (date): Harvest date
    • quantityUom (string): Unit of measure for the quantity
    • packagingDate (date): Packaging date
    • expirationDate (date): Expiration date
    • productionDate (date): Production date
    • bestBeforeDate (date): Best before date
  • workOrderNumber (string): Work order number
  • eventDateTime (datetime): Date and time of the event
  • eventTransactionTime (datetime): The time the event was sent
  • businessUnit (string): The internal organizational group responsible for the event

Location Object​

The location object contains information about the location where the initial pack event occurred:

  • id (string): Location identifier
  • gln (string): GS1 Global Location Number, a 13-digit string. GS1 GTIN Executive Summary
  • city (string): City of the location
  • duns (string): DUNS number
  • state (string): State of the location
  • market (string): Market identifier
  • region (string): Region identifier
  • country (string): Country of the location
  • geoFence (string): Geo-fence coordinates
  • postalCode (string): Postal code
  • phoneNumber (string): Phone number
  • businessUnit (string): Business unit identifier
  • locationName (string): Name of the location
  • locationType (string): Type of the location
  • glnAssignedBy (string): Entity that assigned the GLN
  • gpsCoordinates (string): GPS coordinates
  • streetAddress1 (string): Primary street address
  • streetAddress2 (string): Secondary street address
  • isCoveredByGdst (boolean): Indicates if the location is covered by GDST
  • parentLocationId (string): Parent location ID
  • isPrimaryLocation (boolean): Indicates if this is the primary location
  • alternateLocationId (string): Alternate location ID

Pageable​

  • pageable (object)
    • pageNumber (number): The current page number in the page series. Index 0 is first page
    • pageSize (number): The number of events contained in the page
    • offset (number): If there is an offset specified on there return results this will be populates. Default is 0
    • unpaged (boolean): If the record set is unpaged then true else false
    • paged (boolean): If the record set is paged then true else false
    • sort (object)
      • unsorted (boolean): If the record set is unsorted then true else false
      • sorted (boolean): If the record set is sorted then true else false
      • empty (boolean): If the record set is empty then true else false
  • totalPages (number): The total amount of pages that contain all events in the query
  • totalElements (number): The total amount of events in the query
  • last (boolean): If the page is the last in the series then true else false
  • numberOfElements (number): The total amount of events in the table
  • size (number): The number of events contained in the page
  • number (number): The current page number in the page series
  • sort (object)
    • unsorted (boolean): If the record set is unsorted then true else false
    • sorted (boolean): If the record set is sorted then true else false
    • empty (boolean): If the record set is empty then true else false
  • first (boolean): If the page is the first in the series then true else false
  • empty (boolean): If the page is empty then true else false